[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Installed apt-move 4.1 (source i386)

On Tue, Jun 20, 2000 at 01:09:38PM +0200, pseelig@mail.Uni-Mainz.de wrote:
> Unlike your (otherwise wonderful) rewrite the former apt-move-3.0 did
> honor the package and dist versions of the local apt-get package files and
> didn't try moving packages other than the ones from potato into a
> DIST=potato if e.g. woody packages are present as well in the apt cache.  
> Actually it didn't move a package into $DIST if it's version number didn't
> match the ones from the local apt lists. This was a very comfortable
> no-brainer and it's a pity this is gone now.

OK.  I'll add a variable which when set will cause apt-move to refuse to
add anything that is not equal to the version in the .binary/.source file.
Of course I'll have to add the version into those files as well (I
actually started with versions in .binary/.source but decided to drop
them as none of the commands really need it).

File a bug report so that I won't forget this.
Debian GNU/Linux 2.1 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt

Reply to: